Bug 605677 - qt-webkit based browsers crashes with flash-plugin 10.1.53.64
Summary: qt-webkit based browsers crashes with flash-plugin 10.1.53.64
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 604284 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-18 14:34 UTC by nucleo
Modified: 2010-07-13 07:43 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-07-13 07:39:50 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
WebKit Project 40567 None None None Never
KDE Software Compilation 241702 None None None Never

Description nucleo 2010-06-18 14:34:03 UTC
Description of problem:
arora and konqueror with webkitpart are crashes after updating of flash-plugin to 10.1.53.64 

Version-Release number of selected component (if applicable):
qt-4.6.2-20.fc13

How reproducible:
Every time.

Steps to Reproduce:
1. Install flash-plugin 10.1.53.64.
2. Open adobe.com in arora or in konqueror and switch to WebKit engine.
  
Actual results:
crash

Additional info:
See bug https://bugs.webkit.org/show_bug.cgi?id=40567
and fix for this bug http://trac.webkit.org/changeset/61307

Comment 1 nucleo 2010-06-18 14:41:18 UTC
See this backtrace for arora crash https://bug-40567-attachments.webkit.org/attachment.cgi?id=58678

I am on i686, nspluginwrapper not installed.

Comment 2 Rex Dieter 2010-06-18 15:14:14 UTC
* Fri Jun 18 2010 Rex Dieter <rdieter@fedoraproject.org> 4.7.0-0.19.beta1
- revert -no-javascript-jit change, false-alarm (#604003)
- QtWebKit does not search correct plugin path(s) (#568860)
- QtWebKit browsers crash with flash-plugin (rh#605677,webkit#40567)
- drop qt-x11-opensource-src-4.5.0-gcc_hack.patch

Comment 3 Rex Dieter 2010-06-18 15:51:00 UTC
* Fri Jun 18 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.6.3-4
- QtWebKit does not search correct plugin path(s) (#568860)
- QtWebKit browsers crash with flash-plugin (rh#605677,webkit#40567)

Comment 4 Kalev Lember 2010-06-19 21:04:44 UTC
*** Bug 604284 has been marked as a duplicate of this bug. ***

Comment 5 Viktor Erdelyi 2010-06-20 19:48:52 UTC
I tested qt-4.6.3-4.fc13.i686* (and its dependencies) from koji and it fixed the problem for me. No noticeable regressions so far.

* http://koji.fedoraproject.org/koji/buildinfo?buildID=178642

Comment 6 Fedora Update System 2010-07-12 12:54:26 UTC
qt-4.6.3-8.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/qt-4.6.3-8.fc13

Comment 7 Fedora Update System 2010-07-12 12:56:29 UTC
qt-4.6.3-8.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/qt-4.6.3-8.fc12

Comment 8 Fedora Update System 2010-07-13 07:39:20 UTC
qt-4.6.3-8.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-07-13 07:42:55 UTC
qt-4.6.3-8.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.